@import "../../../../core/variables";

.container {
  display: grid;
  grid-gap: $indent-xsm;

  + .container {
    margin-top: $indent-lg;
  }
}

.label {
  font-weight: $font-weight-medium;
  display: flex;
  align-items: center;
}

.defaultType {

}

.inlineType {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-gap: $indent-sm;
}

.children {
  display: flex;
  align-items: center;

  > * {
    flex-grow: 1;
  }
}

.hint {
  margin-top: $indent-lt-inverse;
  font-size: $font-size-lt;
}

.successState {
  .hint {
    color: $color-green;
  }
}

.errorState {
  .hint {
    color: $color-red;
  }
}